.navbar-toggler {
    border-color: transparent;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.default-rounded {
    border-radius: 1.25rem !important;
}

[data-bs-theme=light] {
    .header-border {
        border-bottom: 2px solid #e9ecef;
    }
    .footer-border {
        border-top: 2px solid #e9ecef;
    }
}
[data-bs-theme=dark] {
    .header-border {
        border-bottom: 2px solid #343a40;
    }
    .footer-border {
        border-top: 2px solid #343a40;
    }
}

.dropdown-item-hover:hover {
    background-color: transparent !important;
}

.btn:focus-visible {
    outline: none !important;
}

[data-bs-theme=dark] {
    .white-image-dark {
        filter: brightness(0) invert(1);
    }
}

.title {
    font-weight: 800;
    font-size: 3.5rem;
}

@media (max-width: 576px) {
    .title {
        font-size: 2.5rem;
    }

    .hero {
        background: url(../images/hero.jpg) no-repeat cover !important;
        justify-content: center;
        padding: 0 5%;
    }

    .hero .container {
        text-align: center;
    }
}

@media (max-width: 991px) {
    .d-mobile-none {
        display: none !important;
    }
}

.icon-border {
    background-color: rgb(var(--bs-secondary-bg-rgb)) !important;
    padding: 0.5rem 0.75rem;
    border-radius: 0.75rem;
}

.hero {
    background: url(../images/hero.jpg) no-repeat center center / cover;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    position: relative;
}

.hero .container {
    position: relative;
    z-index: 2;
}

.blur {
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
}

.card-img-top {
    border-radius: 1.5rem 1.5rem 0 0;
}

.effect-up {
    will-change: transform;
    transition: transform 1s cubic-bezier(0.25, 0.8, 0.25, 1);
}

.effect-up:hover {
    transform: translateY(-1rem);
}

.effect-bigger {
    will-change: transform;
    transition: transform 0.3s ease-in-out;
}

.effect-bigger:hover {
    transform: scale(1.05) !important;
}

html.no-scroll,
body.no-scroll {
    overflow: hidden;
    height: 100%;
}

.fade-in {
    opacity: 0;
    animation: fadeIn 2s forwards;
}

@keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

@media (max-width: 576px) {
    .mobile-center {
        text-align: center !important;
    }
}

